| Version: 3.0.4

Public Member Functions | List of all members
wxPropertyGridHitTestResult Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/propgrid/propgridpagestate.h>`

## Detailed Description

# wxPropertyGridHitTestResult

A return value from wxPropertyGrid::HitTest(), contains all you need to know about an arbitrary location on the grid.

## Public Member Functions
| wxPropertyGridHitTestResult ()
| ~wxPropertyGridHitTestResult ()
int | GetColumn () const
| Returns column hit. More...
wxPGProperty * | GetProperty () const
| Returns property hit. More...
int | GetSplitter () const
| Returns index of splitter hit, -1 for none. More...
int | GetSplitterHitOffset () const
| If splitter hit, then this member function returns offset to the exact splitter position. More...

## Constructor & Destructor Documentation

## ◆ wxPropertyGridHitTestResult()

wxPropertyGridHitTestResult::wxPropertyGridHitTestResult | ( |  | ) |

## ◆ ~wxPropertyGridHitTestResult()

wxPropertyGridHitTestResult::~wxPropertyGridHitTestResult | ( |  | ) |

## Member Function Documentation

## ◆ GetColumn()

int wxPropertyGridHitTestResult::GetColumn | ( |  | ) | const

Returns column hit.

-1 for margin.

## ◆ GetProperty()

wxPGProperty* wxPropertyGridHitTestResult::GetProperty | ( |  | ) | const

Returns property hit.

NULL if empty space below properties was hit instead.

## ◆ GetSplitter()

int wxPropertyGridHitTestResult::GetSplitter | ( |  | ) | const

Returns index of splitter hit, -1 for none.

## ◆ GetSplitterHitOffset()

int wxPropertyGridHitTestResult::GetSplitterHitOffset | ( |  | ) | const

If splitter hit, then this member function returns offset to the exact splitter position.